%bcond_without mcs
%bcond_without java
%bcond_without lua
%bcond_without ocaml

Summary: graph visualization software
Name: graphviz
Version: 2.12
Release: 10%{?dist}
Group: Applications/Graphics
License: CPL
URL: http://www.graphviz.org/
Source: http://www.graphviz.org/pub/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: gcc-c++, gettext-devel, libtool-ltdl-devel
BuildRequires: tcl-devel, tk-devel
BuildRequires: flex, bison, m4
BuildRequires: libXpm-devel, libXaw-devel, libXext-devel
BuildRequires: freetype-devel >= 2, fontconfig-devel, zlib-devel, libpng-devel, libjpeg-devel
BuildRequires: expat-devel
BuildRequires: gd-devel >= 2.0.29
BuildRequires: swig
%{?with_mcs:BuildRequires: mcs-devel, mcs}
BuildRequires: guile-devel
%{?with_java:BuildRequires: java-devel}
%{?with_lua:BuildRequires: lua-devel}
%{?with_ocaml:BuildRequires: ocaml}
BuildRequires: python-devel, python, ruby-devel, ruby
BuildRequires: pango-devel, gtk+-devel, libgnomeui-devel
Provides: graphviz-gd = %{evr}
Obsoletes: graphviz-gd < %{evr}
Provides: graphviz-sharp = %{evr}
Obsoletes: graphviz-sharp < %{evr}
Provides: graphviz-guile = %{evr}
Obsoletes: graphviz-guile < %{evr}
Provides: graphviz-io = %{evr}
Obsoletes: graphviz-io < %{evr}
Provides: graphviz-java = %{evr}
Obsoletes: graphviz-java < %{evr}
Provides: graphviz-lua = %{evr}
Obsoletes: graphviz-lua < %{evr}
Provides: graphviz-ocaml = %{evr}
Obsoletes: graphviz-ocaml < %{evr}
Provides: graphviz-perl = %{evr}
Obsoletes: graphviz-perl < %{evr}
Provides: graphviz-php = %{evr}
Obsoletes: graphviz-php < %{evr}
Provides: graphviz-python = %{evr}
Obsoletes: graphviz-python < %{evr}
Provides: graphviz-ruby = %{evr}
Obsoletes: graphviz-ruby < %{evr}
Provides: graphviz-tcl = %{evr}
Obsoletes: graphviz-tcl < %{evr}
Provides: graphviz-graphs = %{evr}
Obsoletes: graphviz-graphs < %{evr}
Provides: graphviz-doc = %{evr}
Obsoletes: graphviz-doc < %{evr}

%description
Graph visualization is a way of representing structural information as
diagrams of abstract graphs and networks. Automatic graph drawing has
many important applications in software engineering, database and web
design, networking, and in visual interfaces for many other domains.

Graphviz is open source graph visualization software. It has several
main graph layout programs.

%package devel
Group: Development/Libraries
Summary: Development tools for version %{version} of %{name}
Requires: graphviz = %{evr}, graphviz-tcl = %{evr}
Requires: tcl-devel, tk-devel
Requires: libXpm-devel, libXaw-devel, libXext-devel
Requires: freetype-devel >= 2, fontconfig-devel, zlib-devel, libpng-devel, libjpeg-devel

%description devel
The %{name}-devel package contains the header files and man3 pages
necessary for developing programs using version %{version} of the
%{name} libraries.

%package doc
Group: Documentation
Summary: PDF and HTML documents for %{name}

%description doc
The %{name}-doc package provides some additional PDF and HTML documentation for %{name}.

%prep
%setup -q

%build
%configure --disable-static --with-x --with-mylibgd
make

%install
rm -rf "%{buildroot}"
doc=%{_defaultdocdir}/%{name}-%{version}
make DESTDIR="%{buildroot}" \
 pdfdir=$doc/pdf \
 htmldir=$doc/html \
 txtdir=$doc \
 install

mkdir -p %{buildroot}%{_sysconfdir}/graphviz
touch %{buildroot}%{_sysconfdir}/graphviz/config
ln -s %{_sysconfdir}/graphviz/config %{buildroot}%{_libdir}/graphviz/

cp -a AUTHORS COPYING ChangeLog NEWS cpl1.0.txt \
  %{buildroot}%{_defaultdocdir}/%{name}-%{version}

%clean
rm -rf %{buildroot}

%post
LD_LIBRARY_PATH=%{_libdir} %{_bindir}/dot -c

%files
%defattr(-,root,root,-)
%{_defaultdocdir}/%{name}-%{version}
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man*/*
%{_libdir}/*.so.*
%{_libdir}/%{name}
%dir %{_sysconfdir}/graphviz
%config(noreplace) %{_sysconfdir}/graphviz/config

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/*
%{_mandir}/man3/*.3*

%files doc
%defattr(-,root,root,-)

%changelog
* Fri Apr 20 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.12-9
- Update to 2.12.
- Apply dot -c fix in %post.

* Sun Oct 22 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.8-8
- Update to 2.8.

* Sat May 28 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.2.1.

* Sat Oct 2 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.16.

* Sun Jun 6 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.12.

* Sat Jan 24 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- picked up spec file by John Ellson (ellson@graphviz.org).
- small fixes all over.
